/* --- Start Genaral Settings --- */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: linear-gradient(135deg, bisque 0%, #fca062 100%);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    padding: 20px;
    min-height: 100vh;
}

/* --- End Genaral Settings --- */


/* --- Sart Title  --- */
.title {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 30px;
    padding: 30px;
    background: rgb(209, 133, 133);
    border-radius: 15px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);

}

.title h1 {
    color: rgb(255, 255, 255);
    font-size: 2.5em;
}

.intro {
    text-align: center;
    background-color: rgb(209, 133, 133);
    color: #f0f0f0;
    font-size: 1.6em;
    padding: 15px;
    border-radius: 10px;
    margin-bottom: 40px;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

/* --- End Title  --- */

/* --- Start styling the sections ---*/

.section-header {
    background-color: rgb(197, 134, 134);
    border-radius: 10px;
    margin: 40px 0 20px 0;
    padding: 10px;
}

.section-header h2 {
    color: bisque;
}

/* --- End styling the sections ---*/

/*--- Start the styling Examples ---*/
.example {
    background: rgb(224, 158, 158);
    padding: 25px;
    margin-bottom: 30px;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.example h3 {
    color: white;
    margin-bottom: 15px;
    font-size: 1.2em;
}

.description {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 15px;
    gap: 10px
}

.description li {
    background: wheat;
    padding: 8px 15px;
    border-radius: 10px;
    font-family: 'Courier New', monospace;
    font-size: 1em;
    color: rgb(98, 105, 111);
    font-weight: 200;
    flex: 0 0 auto;
}

.description li:hover {
    cursor: pointer;
}

/*--- End the styling Examples ---*/

/* Start styling the Containers */

[class^="container"] {
    /* ALl The elements that start with "container" */
    border: 3px solid #016c58;
    background: #f9f9f9;
    min-height: 200px;
    padding: 10px;
}

[class^="container"] img {
    width: 150px;
    height: 200px;
    object-fit: cover;
    border-radius: 5px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
}

/* End styling the Containers */

/* =-=-=- The Examples  -=-=-= */
/* Example 0 : The Bascis */

.container0 {
    display: flex;
    gap: 10px;
}

.container0 img {
    flex: 1
}

/* Example 1 : The Bascis */


.container1 {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.container1 img {
    flex: 1 1 auto;
}

/* Example 2 : The Bascis */

.container2 {
    display: flex;
    flex-direction: row-reverse;
    gap: 10px;
}

.container2 img {
    flex: 1 1 auto;
}

/* Example 3 : The Bascis */

.container3 {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

.container3 img {
    flex: 1;
}

/* Example 4 : The Bascis */

.container4 {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;

}

.container4 img {
    flex: 1;
}

/* Example 5 : The Bascis */

.container5 {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    gap: 10px;

}

.container5 img {
    flex: 1;
}

/* Example 6 : The Bascis */

.container6 {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 10px;

}

.container6 img {
    flex: 1;
}


/* Example 7 : The Bascis */

.container7 {
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    gap: 10px;

}

.container7 img {
    flex: 0 1 auto;
}

/* Example 8 : The Bascis */

.container8 {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10px;

}

.container8 img {
    flex: 0 0 auto;
}

/* Example 9  : The Bascis */

.container9 {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.container9 img {
    flex: 0 1 auto;
}

/* Example 10 : The Bascis */

.container10 {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.container10 img {
    flex: 0 1 auto;
}

/* Example 11 : The Bascis */

.container11 {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.container11 img {
    flex: 0 1 auto;
}

/* Example 12 : The Bascis */

.container11 {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 10px;
    object-fit: contain;
}

.container11 img {
    flex: 0 1;
}

/* Example 13 : The Bascis */

.container12 {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 10px;
    object-fit: contain;
}

.container12 img {
    flex: 0 1;
}

/* Example 14 : The Bascis */
/* Example 15 : The Bascis */
/* Example 16 : The Bascis */
/* Example 17 : The Bascis */
/* Example 18 : The Bascis */
/* Example 19 : The Bascis */
/* Example 20 : The Bascis */
/* Example 21 : The Bascis */
/* Example 22 : The Bascis */
/* Example 23 : The Bascis */
/* Example 24 : The Bascis */











/* 
displey : flex ;
-------------------
flex-direction: row ;
flex-direction: row-revers ;
flex-direction: column ;
flex-direction: column-revers ;
*/